package com.onsiteservice.constant.enums;

import lombok.Getter;

/**
 * <P></P>
 *
 * @author jack
 * @version v1.0
 * @since 2022/4/11 15:42
 */
public enum BizCodeEnum {


    /**
     * 订单分组
     */
    SERVICE_ORDER_NOT_EXIST("订单不存在"),
    SERVICE_ORDER_NOT_VALUATION("订单未估价,不能发送给客户"),
    SERVICE_ORDER_CANNOT_CANCEL("订单不能取消"),
    SERVICE_ORDER_CANNOT_REFUND("订单不能申请退款"),
    SERVICE_ORDER_CANNOT_DISPATCH("订单未支付,不能派单"),
    SERVICE_ORDER_CANNOT_FINISH("订单未派单,不能完成本次服务"),


    /**
     * 区域分组
     */
    SERVICE_AREA_NOT_EXIST("区域不存在"),


    /**
     * 服务地址模块
     */
    SERVICE_ADDRESS_NOT_EXIST("服务地址不存在"),


    /**
     * 服务子类
     */
    SERVICE_SUBCLASS_NOT_EXIST("服务项目不存在"),


    /**
     * 权限相关
     */
    NO_AUTH_SEND_ORDER_TO_USER("您不能发送订单"),
    NO_AUTH_DISPATCH_ORDER_TO_USER("您不能派单");


    @Getter
    private String msg;


    private BizCodeEnum(String msg){
        this.msg = msg;
    }


}
